Subject: Re: [RFT PATCH] pcnet32: NAPI support

From: Don Fry <[email-masked]>
Date: Wed, 28 Jun 2006 09:55:41 -0700

On Wed, Jun 28, 2006 at 10:40:10AM -0400, Lennart Sorensen wrote:
> On Fri, Jun 23, 2006 at 02:32:12PM -0700, Don Fry wrote:
> > This set of changes combines the work done by Len Sorensen and myself to
> > add compile time support for NAPI for the pcnet32 driver.  I have tested
> > it on ia32 and ppc64 hardware with various versions of the pcnet32
> > adapter.  I have also made a few changes requested by Jon Mason, but the
> > substitution of the many magic numbers in the driver is not yet done.
> > 
> > If no-one encounters any problems when testing this, I will break up the
> > several changes, into proper patches and submit them next week.
> 
> Well so far this is working for me.  It is a somewhat different layout
> of the interrupt handler so it took me a bit of work to get the features
> I need patched in, but in the end I ended up with simpler code as a
> reesult, so I am quite happy with the new layout.  The driver works on
> everything I have to try it on so far.
> 

<snip>

Yes, I saw the debug statements when creating the email and was too lazy
to remove them and create a new patch.  The patch needs to be broken up
into functional pieces anyway, so since it has passed all of my testing
as well, I will start on that...

> 
> So yep, looks pretty good to me.  Those two debug statements are my only
> comments on it.
> 
> Len Sorensen

-- 
Don Fry
[email-masked]